UbixOS V2 2.0

Data Fields
pipe_inode_info Struct Reference

`#include <pipe_fs.h>`

Collaboration diagram for pipe_inode_info:

## Data Fields
char * | base
unsigned int | len
unsigned int | lock
unsigned int | rd_openers
unsigned int | readers
unsigned int | start
struct wait_queue * | wait
unsigned int | wr_openers
unsigned int | writers

## Detailed Description

Definition at line 32 of file pipe_fs.h.

## Field Documentation

## ◆ base

char* pipe_inode_info::base

Definition at line 34 of file pipe_fs.h.

## ◆ len

unsigned int pipe_inode_info::len

Definition at line 36 of file pipe_fs.h.

## ◆ lock

unsigned int pipe_inode_info::lock

Definition at line 37 of file pipe_fs.h.

## ◆ rd_openers

unsigned int pipe_inode_info::rd_openers

Definition at line 38 of file pipe_fs.h.

## ◆ readers

unsigned int pipe_inode_info::readers

Definition at line 40 of file pipe_fs.h.

## ◆ start

unsigned int pipe_inode_info::start

Definition at line 35 of file pipe_fs.h.

## ◆ wait

struct wait_queue* pipe_inode_info::wait

Definition at line 33 of file pipe_fs.h.

## ◆ wr_openers

unsigned int pipe_inode_info::wr_openers

Definition at line 39 of file pipe_fs.h.

## ◆ writers

unsigned int pipe_inode_info::writers

Definition at line 41 of file pipe_fs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/fs/pipe_fs.h